Package org.apache.lucene.analysis.cz

# Class CzechAnalyzer

java.lang.Object
org.apache.lucene.analysis.Analyzer
org.apache.lucene.analysis.StopwordAnalyzerBase
org.apache.lucene.analysis.cz.CzechAnalyzer

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public final class CzechAnalyzer extends StopwordAnalyzerBase
`Analyzer` for Czech language.

Supports an external list of stopwords (words that will not be indexed at all). A default set of stopwords is used unless an alternative list is specified.

Since:
  3.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

  `Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_STOPWORD_FILE`
  File containing default Czech stopwords.

  ### Fields inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase

  `stopwords`

  ### Fields inherited from class org.apache.lucene.analysis.Analyzer

  `GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CzechAnalyzer()`
  Builds an analyzer with the default stop words (`getDefaultStopSet()`).
  `CzechAnalyzer(CharArraySet stopwords)`
  Builds an analyzer with the given stop words.
  `CzechAnalyzer(CharArraySet stopwords, CharArraySet stemExclusionTable)`
  Builds an analyzer with the given stop words and a set of work to be excluded from the `CzechStemFilter`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Analyzer.TokenStreamComponents`
  `createComponents(String fieldName)`
  Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
  `static final CharArraySet`
  `getDefaultStopSet()`
  Returns a set of default Czech-stopwords
  `protected TokenStream`
  `normalize(String fieldName, TokenStream in)`

  ### Methods inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase

  `getStopwordSet, loadStopwordSet, loadStopwordSet`

  ### Methods inherited from class org.apache.lucene.analysis.Analyzer

  `attributeFactory, close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, initReader, initReaderForNormalization, normalize, tokenStream, tokenStream`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_STOPWORD_FILE

    public static final String DEFAULT_STOPWORD_FILE
    File containing default Czech stopwords.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CzechAnalyzer

    public CzechAnalyzer()
    Builds an analyzer with the default stop words (`getDefaultStopSet()`).

  - ### CzechAnalyzer

    public CzechAnalyzer(CharArraySet stopwords)
    Builds an analyzer with the given stop words.
    Parameters:
      `stopwords` - a stopword set

  - ### CzechAnalyzer

    public CzechAnalyzer(CharArraySet stopwords, CharArraySet stemExclusionTable)
    Builds an analyzer with the given stop words and a set of work to be excluded from the `CzechStemFilter`.
    Parameters:
      `stopwords` - a stopword set
      `stemExclusionTable` - a stemming exclusion set

- ## Method Details

  - ### getDefaultStopSet

    public static final CharArraySet getDefaultStopSet()
    Returns a set of default Czech-stopwords
    Returns:
      a set of default Czech-stopwords

  - ### createComponents

    protected Analyzer.TokenStreamComponents createComponents(String fieldName)
    Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
    Specified by:
      `createComponents` in class `Analyzer`
    Returns:
      `Analyzer.TokenStreamComponents` built from a `StandardTokenizer` filtered with `LowerCaseFilter`, `StopFilter`, and `CzechStemFilter` (only if version is >= LUCENE_31). If a stem exclusion set is provided via `CzechAnalyzer(CharArraySet, CharArraySet)` a `SetKeywordMarkerFilter` is added before `CzechStemFilter`.

  - ### normalize

    protected TokenStream normalize(String fieldName, TokenStream in)
    Overrides:
      `normalize` in class `Analyzer`